import { __extends } from "../../../node_modules/tslib/tslib.es6.mjs";
import { use } from "../../extension.mjs";
import ComponentView from "../../view/Component.mjs";
import SingleAxisView from "../axis/SingleAxisView.mjs";
import axisModelCreator from "../../coord/axisModelCreator.mjs";
import SingleAxisModel from "../../coord/single/AxisModel.mjs";
import singleCreator from "../../coord/single/singleCreator.mjs";
import { install as install$1 } from "../axisPointer/install.mjs";
import AxisView from "../axis/AxisView.mjs";
import SingleAxisPointer from "../axisPointer/SingleAxisPointer.mjs";
var SingleView = (
  /** @class */
  function(_super) {
    __extends(SingleView2, _super);
    function SingleView2() {
      var _this = _super !== null && _super.apply(this, arguments) || this;
      _this.type = SingleView2.type;
      return _this;
    }
    SingleView2.type = "single";
    return SingleView2;
  }(ComponentView)
);
function install(registers) {
  use(install$1);
  AxisView.registerAxisPointerClass("SingleAxisPointer", SingleAxisPointer);
  registers.registerComponentView(SingleView);
  registers.registerComponentView(SingleAxisView);
  registers.registerComponentModel(SingleAxisModel);
  axisModelCreator(registers, "single", SingleAxisModel, SingleAxisModel.defaultOption);
  registers.registerCoordinateSystem("single", singleCreator);
}
export {
  install
};
